=== PKGBUILD ===
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
# contributor: Jacek Poplawski <jacekpoplawski@gmail.com>

pkgname=rocksndiamonds-contrib
pkgver=5
pkgrel=4
arch=(any)
pkgdesc='more rockndiamonds levels'
url="https://www.artsoft.org/rocksndiamonds/"
license=('GPL')
depends=()
makedepends=('unzip' 'p7zip')
options=('!strip')
source=(https://www.artsoft.org/RELEASES/rocksndiamonds/levels/BD2K3-1.0.0.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/Boulder_Dash_Dream-1.0.0.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/Contributions-1.2.0.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/Emerald_Mine_Club-2.1.1.7z
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/RS_MIX_01-needs_rnd_jue.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/RS_MIX_01-standalone.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/Snake_Bite-1.0.0.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/Sokoban-1.0.0.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/Supaplex-2.0.0.7z
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/Zelda-1.0.0.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/ZeldaII-1.0.0.zip
	https://www.artsoft.org/RELEASES/rocksndiamonds/levels/rnd-contrib-1.0.0.tar.gz
	https://artsoft.org/RELEASES/unix/rocksndiamonds/levels/rockslevels-sp-1.0.tar.gz
	https://artsoft.org/RELEASES/unix/rocksndiamonds/levels/rockslevels-dx-1.0.tar.gz
	https://artsoft.org/RELEASES/unix/rocksndiamonds/levels/rockslevels-emc-1.0.tar.gz
	http://www.jb-line.de/rnd/rnd_jue-3.3.0.0.tar.gz)
sha256sums=('5fc5130c859e69d6907bff87e01ff2296d59f7376202a8aacc03e55f359fb351'
            '6f9dc48023830fbdc318d8f18013b5a7e84ab3c815ba566a4a2c46faeb65c969'
            'd533dc69cd136d2bb7d76d674ab087285799191e0a516320aba8ac2368ce6dd2'
            'a9d69fe3bfb46ff5525e713dadadfb04022b18ab76d0a0f6628e469468ca9841'
            '6beeaa42bf165acadf064852b8e15044182f4a2f665d6ed29cb473d0b75449aa'
            '6427181a7da117fd504338155d68b23084b8e3e4d03db10fe03795b7f54e6506'
            '6f6b573d89588f56cb3b326f3a42fb57277307bd709713dbef329885ac4d006d'
            '63f9d36789edca22c0f9454202f9fd21fcee89111642459b5882314f13ebdc0e'
            '81a11007cfdd21dbef2e4081674dfbad7b4a4f26e4b24b39165fcea6a90b1213'
            '6c50778224d76a0c708eddcb2a505c5a38cc57092f05bee9c4d58e2bb519a5e1'
            'bec04b0448f18f1b796972cccef736ad250b782d08fad35d1387e5b9a05d3e32'
            'c24b56399ba202ebf60bb60316e81d7996ccd02ae281a7e54f2f555e088a1ce1'
            '770d75a5926bb924c6787a6f95ee9f7af743b629ea14005ab0375b57eb488f25'
            '23f1710710eef1dcd1c490670de16d2d58dc98f3fdd9a2df186bdca590e57579'
            'a04e554fb8b6d010c73e21de090f116dad6054e43e00edc80c59c71a8a1eaa0c'
            '9594656bab084fea2ecf104e48c4dea3ccd8153f86a6ddbab04cdd0d5f6899a6')

package() {
  install -d "$pkgdir"/usr/share/rocksndiamonds/levels

  # install levels
  cd "$srcdir"
  cp -R levels/* "$pkgdir"/usr/share/rocksndiamonds/levels/
  cp -R Sokoban "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Supaplex "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Contributions "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Contributions_1995-2000 "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Contributions_2001 "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Contributions_2002 "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Contributions_2003 "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R RS_MIX_01-needs_rnd_jue "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R RS_MIX_01-standalone "$pkgdir"/usr/share/rocksndiamonds/levels

#  cp -R rnd_jue "$pkgdir"/usr/share/rocksndiamonds/levels

  cp -R rnd_jue-3.3.0.0/graphics/jue0 "$pkgdir"/usr/share/rocksndiamonds/graphics/
  cp -R rnd_jue-3.3.0.0/levels/Contributions "$pkgdir"/usr/share/rocksndiamonds/levels/rnd-jue-Contributions
  cp -R rnd_jue-3.3.0.0/levels/rnd_jue "$pkgdir"/usr/share/rocksndiamonds/levels/rnd-jue
  cp -R rnd_jue-3.3.0.0/levels/Sokoban "$pkgdir"/usr/share/rocksndiamonds/levels/rnd-jue-Sokoban
  cp -R rnd_jue-3.3.0.0/sounds/jue0 "$pkgdir"/usr/share/rocksndiamonds/sounds/
  cp -R rnd_jue-3.3.0.0/music/jue0 "$pkgdir"/usr/share/rocksndiamonds/music/

  cp -R BD2K3 "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Boulder_Dash_Dream "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Emerald_Mine_Club "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R Snake_Bite "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R zelda "$pkgdir"/usr/share/rocksndiamonds/levels
  cp -R zelda2 "$pkgdir"/usr/share/rocksndiamonds/levels

  chown -R root:root "$pkgdir"/usr/share/rocksndiamonds
  find "$pkgdir"/usr/share/rocksndiamonds -type d -exec chmod 0755 {} \;
  find "$pkgdir"/usr/share/rocksndiamonds -type f -exec chmod 0644 {} \;
}
